## cucumber 1.0.0

=== DESCRIPTION ===
Package: cucumber
Type: Package
Title: Behavior-Driven Development for R
Version: 1.0.0
Authors@R: person("Jakub", "Sobolewski", email = "jakupsob@gmail.com", role = c("aut", "cre"))
Description: Write executable specifications in a natural language that describes how your code should behave.
    Write specifications in feature files using 'Gherkin' language and execute them using functions implemented in R.
    Use them as an extension to your 'testthat' tests to provide a high level description of how your code works.
License: MIT + file LICENSE
URL: https://github.com/jakubsob/cucumber,
        https://jakubsob.github.io/cucumber/
BugReports: https://github.com/jakubsob/cucumber
Encoding: UTF-8
Suggests: mockery, box, shinytest2, chromote, covr, knitr, rmarkdown
Config/testthat/edition: 3
Imports: checkmate, dplyr, fs, glue, purrr, rlang, stringr, testthat
        (>= 3.0.0), tibble, withr
RoxygenNote: 7.3.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2024-03-14 08:50:51 UTC; jakub
Author: Jakub Sobolewski [aut, cre]
Maintainer: Jakub Sobolewski <jakupsob@gmail.com>
Repository: CRAN
Date/Publication: 2024-03-14 20:30:02 UTC

## cucumber 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cucumber
 Type: Package
 Title: Behavior-Driven Development for R
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: person("Jakub", "Sobolewski", email = "jakupsob@gmail.com", role = c("aut", "cre"))
 Description: Write executable specifications in a natural language that describes how your code should behave.
     Write specifications in feature files using 'Gherkin' language and execute them using functions implemented in R.
@@ -18,8 +18,8 @@
 RoxygenNote: 7.3.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2024-03-14 08:50:51 UTC; jakub
+Packaged: 2024-04-03 19:11:54 UTC; jakub
 Author: Jakub Sobolewski [aut, cre]
 Maintainer: Jakub Sobolewski <jakupsob@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-03-14 20:30:02 UTC
+Date/Publication: 2024-04-03 19:22:59 UTC

## cucumber 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cucumber
 Type: Package
 Title: Behavior-Driven Development for R
-Version: 1.0.1
+Version: 1.0.2
 Authors@R: person("Jakub", "Sobolewski", email = "jakupsob@gmail.com", role = c("aut", "cre"))
 Description: Write executable specifications in a natural language that describes how your code should behave.
     Write specifications in feature files using 'Gherkin' language and execute them using functions implemented in R.
@@ -18,8 +18,8 @@
 RoxygenNote: 7.3.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2024-04-03 19:11:54 UTC; jakub
+Packaged: 2024-04-08 20:27:21 UTC; jakub
 Author: Jakub Sobolewski [aut, cre]
 Maintainer: Jakub Sobolewski <jakupsob@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-04-03 19:22:59 UTC
+Date/Publication: 2024-04-09 09:30:02 UTC

=== debian/changelog ===
cucumber (1.0.2-2) unstable; urgency=low

  [ Cédric Boutillier ]
  * copyright: change to a working url in Format: field

  [ Antonio Terceiro ]
  * Build-Depend on a newer gem2deb to make sure shebangs are correct
  * Make debian/copyright use a valid DEP-5 syntax

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 02 Dec 2011 15:42:15 -0200

cucumber (1.0.2-1) unstable; urgency=low

  * Initial release (Closes: #636792)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 14 Aug 2011 13:49:11 -0700

=== debian/control ===
Source: cucumber
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.12~), ruby-json, ruby-diff-lcs, ruby-gherkin, ruby-term-ansicolor, ruby-builder, rake, ruby-rspec, ruby-nokogiri
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-ruby-extras/cucumber.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/cucumber.git;a=summary
Homepage: http://cukes.info/
XS-Ruby-Versions: all

Package: cucumber
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter, ruby-json, ruby-diff-lcs, ruby-gherkin, ruby-term-ansicolor, ruby-builder
Suggests: ruby-prawn, ruby-nokogiri, rake
Description: acceptance testing framework
 Cucumber lets software development teams describe how software should behave
 in plain text. The text is written in a business-readable domain-specific
 language and serves as documentation, automated tests and development-aid -
 all rolled into one format.
 .
 Cucumber can generate HTML and PDF reports of the features it runs, for what
 packages ruby-nokogiri and ruby-prawn, respectively, must be installed.

## cucumber 1.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cucumber
 Type: Package
 Title: Behavior-Driven Development for R
-Version: 1.0.2
+Version: 1.0.3
 Authors@R: person("Jakub", "Sobolewski", email = "jakupsob@gmail.com", role = c("aut", "cre"))
 Description: Write executable specifications in a natural language that describes how your code should behave.
     Write specifications in feature files using 'Gherkin' language and execute them using functions implemented in R.
@@ -18,8 +18,8 @@
 RoxygenNote: 7.3.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2024-04-08 20:27:21 UTC; jakub
+Packaged: 2024-06-09 10:59:22 UTC; jakub
 Author: Jakub Sobolewski [aut, cre]
 Maintainer: Jakub Sobolewski <jakupsob@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-04-09 09:30:02 UTC
+Date/Publication: 2024-06-09 11:20:02 UTC

## cucumber 1.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cucumber
 Type: Package
 Title: Behavior-Driven Development for R
-Version: 1.0.3
+Version: 1.0.4
 Authors@R: person("Jakub", "Sobolewski", email = "jakupsob@gmail.com", role = c("aut", "cre"))
 Description: Write executable specifications in a natural language that describes how your code should behave.
     Write specifications in feature files using 'Gherkin' language and execute them using functions implemented in R.
@@ -15,11 +15,11 @@
 Config/testthat/edition: 3
 Imports: checkmate, dplyr, fs, glue, purrr, rlang, stringr, testthat
         (>= 3.0.0), tibble, withr
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2024-06-09 10:59:22 UTC; jakub
+Packaged: 2024-06-29 19:19:02 UTC; jakub
 Author: Jakub Sobolewski [aut, cre]
 Maintainer: Jakub Sobolewski <jakupsob@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-06-09 11:20:02 UTC
+Date/Publication: 2024-06-29 19:30:02 UTC

## cucumber 1.1.0

=== DESCRIPTION ===
Package: cucumber
Type: Package
Title: Behavior-Driven Development for R
Version: 1.1.0
Authors@R: person("Jakub", "Sobolewski", email = "jakupsob@gmail.com", role = c("aut", "cre"))
Description: Write executable specifications in a natural language that describes how your code should behave.
    Write specifications in feature files using 'Gherkin' language and execute them using functions implemented in R.
    Use them as an extension to your 'testthat' tests to provide a high level description of how your code works.
License: MIT + file LICENSE
URL: https://github.com/jakubsob/cucumber,
        https://jakubsob.github.io/cucumber/
BugReports: https://github.com/jakubsob/cucumber/issues
Encoding: UTF-8
Suggests: mockery, box, shinytest2, chromote, covr, knitr, rmarkdown,
        quarto, R6
Config/testthat/edition: 3
Imports: checkmate, dplyr, fs, glue, purrr, rlang, stringr, testthat
        (>= 3.0.0), tibble, withr
RoxygenNote: 7.3.2
VignetteBuilder: quarto
NeedsCompilation: no
Packaged: 2024-10-14 07:40:47 UTC; jakub
Author: Jakub Sobolewski [aut, cre]
Maintainer: Jakub Sobolewski <jakupsob@gmail.com>
Repository: CRAN
Date/Publication: 2024-10-14 07:50:02 UTC

## cucumber 1.2.0

=== DESCRIPTION ===
Package: cucumber
Type: Package
Title: Behavior-Driven Development for R
Version: 1.2.0
Authors@R: person("Jakub", "Sobolewski", email = "jakupsob@gmail.com", role = c("aut", "cre"))
Description: Write executable specifications in a natural language that describes how your code should behave.
    Write specifications in feature files using 'Gherkin' language and execute them using functions implemented in R.
    Use them as an extension to your 'testthat' tests to provide a high level description of how your code works.
License: MIT + file LICENSE
URL: https://github.com/jakubsob/cucumber,
        https://jakubsob.github.io/cucumber/
BugReports: https://github.com/jakubsob/cucumber/issues
Encoding: UTF-8
Depends: R (>= 4.1.0)
Imports: checkmate, cli, dplyr, fs, glue, purrr, rlang, stringr,
        testthat (>= 3.0.0), tibble, withr
Suggests: mockery, box, shinytest2, chromote, covr, knitr, rmarkdown,
        quarto, R6, pkgdown
Config/testthat/edition: 3
RoxygenNote: 7.3.2
VignetteBuilder: quarto
Config/Needs/website: rmarkdown
NeedsCompilation: no
Packaged: 2025-02-24 18:21:50 UTC; jakub
Author: Jakub Sobolewski [aut, cre]
Maintainer: Jakub Sobolewski <jakupsob@gmail.com>
Repository: CRAN
Date/Publication: 2025-02-24 18:40:02 UTC

## cucumber 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cucumber
 Type: Package
 Title: Behavior-Driven Development for R
-Version: 1.2.0
+Version: 1.2.1
 Authors@R: person("Jakub", "Sobolewski", email = "jakupsob@gmail.com", role = c("aut", "cre"))
 Description: Write executable specifications in a natural language that describes how your code should behave.
     Write specifications in feature files using 'Gherkin' language and execute them using functions implemented in R.
@@ -21,8 +21,8 @@
 VignetteBuilder: quarto
 Config/Needs/website: rmarkdown
 NeedsCompilation: no
-Packaged: 2025-02-24 18:21:50 UTC; jakub
+Packaged: 2025-03-20 20:47:16 UTC; jakub
 Author: Jakub Sobolewski [aut, cre]
 Maintainer: Jakub Sobolewski <jakupsob@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-02-24 18:40:02 UTC
+Date/Publication: 2025-03-20 21:00:02 UTC

=== debian/changelog ===
cucumber (1.2.1-2) unstable; urgency=low

  * Explicitly depend on ruby-gherkin >= 2.11.0~

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 26 Jun 2012 07:42:09 -0300

cucumber (1.2.1-1) unstable; urgency=low

  * New upstream version
  * Use ruby-test.rake to run tests. Build-depend on rake.
  * Bump Standards-Version: to 3.9.3 (no changes needed)
  * Add 003-Disable-tests-assuming-ordered-hashes.patch
    + disable tests relying on ordered hashes
  * Add myself to Uploaders:
  * Depend on libjs-jquery instead of using the embedded copy.
    + include non-minified copy of jquery as source of the embedded version
    + update copyright file to take into account jsquery
  * Do no suggest anymore ruby-prawn
  * Bump dependency of gem2deb to version >= 0.3.0

 -- Cédric Boutillier <cedric.boutillier@gmail.com>  Fri, 22 Jun 2012 01:02:55 +0200

=== debian/control ===
Source: cucumber
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>, Cédric Boutillier <cedric.boutillier@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~), ruby-json, ruby-diff-lcs, ruby-gherkin (>= 2.11.0~), ruby-builder, rake, ruby-rspec, ruby-nokogiri, rake, libjs-jquery
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-ruby-extras/cucumber.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/cucumber.git;a=summary
Homepage: http://cukes.info/
XS-Ruby-Versions: all

Package: cucumber
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter, ruby-json, ruby-diff-lcs, ruby-gherkin (>= 2.11.0~), ruby-builder, libjs-jquery
Suggests: rake, ruby-nokogiri
Description: acceptance testing framework
 Cucumber lets software development teams describe how software should behave
 in plain text. The text is written in a business-readable domain-specific
 language and serves as documentation, automated tests and development-aid -
 all rolled into one format.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby

package_version=$(shell dpkg-parsechangelog | grep Version: | awk '{print $$2}')

override_dh_auto_install:
	dh_auto_install
	rm -r debian/cucumber/usr/lib/ruby/vendor_ruby/autotest
	mkdir -p debian/cucumber/usr/share/man/man1
	pod2man -n cucumber -r "cucumber $(package_version)" -c cucumber debian/cucumber.pod > debian/cucumber/usr/share/man/man1/cucumber.1

## cucumber 1.3.8

=== debian/changelog ===
cucumber (1.3.8-1) unstable; urgency=low

  * Imported Upstream version 1.3.8
  * debian/patches:
    + refresh 0004-Update_default_binary_path.patch
    + drop 0003-Disable-tests-assuming-ordered-hashes.patch, fixed upstream
  * increase minimal version of ruby-gherkin in dependencies

 -- Cédric Boutillier <boutil@debian.org>  Wed, 02 Oct 2013 14:49:19 +0200

cucumber (1.3.6-1) unstable; urgency=low

  * Imported Upstream version 1.3.6
  * debian/control:
    + remove obsolete DM-Upload-Allowed flag
    + use canonical URI in Vcs-* fields
    + remove duplicate rake in Build-Depends,
    + depend/build-depend on ruby-gherkin >= 2.12 and ruby-multi-json
    + update my email address
    + Bump Standards-Version to 3.9.4 (no changes needed)
  * debian/patches:
    + refresh 000{1,3}-*.patch
    + add 0004-Update_default_binary_path.patch:
      fix paths in cucumber/platform.rb. Thanks Kevin Locke (Closes: #681844)
    + add 0005-Integrate-multi_test-code.patch:
      include code of the multi_test gem

 -- Cédric Boutillier <boutil@debian.org>  Sat, 10 Aug 2013 23:37:41 +0200

=== debian/control ===
Source: cucumber
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>, Cédric Boutillier <boutil@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~), ruby-multi-json (>= 1.7.5~), ruby-json, ruby-diff-lcs, ruby-gherkin (>= 2.12.1~), ruby-builder, rake, ruby-rspec, ruby-nokogiri, libjs-jquery
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/cucumber.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/cucumber.git;a=summary
Homepage: http://cukes.info/
XS-Ruby-Versions: all

Package: cucumber
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter, ruby-multi-json (>= 1.7.5~), ruby-diff-lcs, ruby-gherkin (>= 2.12.1~), ruby-builder, libjs-jquery
Suggests: rake, ruby-nokogiri
Description: acceptance testing framework
 Cucumber lets software development teams describe how software should behave
 in plain text. The text is written in a business-readable domain-specific
 language and serves as documentation, automated tests and development-aid -
 all rolled into one format.

## cucumber 1.3.15

=== debian/changelog ===
cucumber (1.3.15-1) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Add git-buildpackage configuration

  [ Cédric Boutillier ]
  * Imported Upstream version 1.3.15
  * Relax version dependency on ruby-gherkin
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * (Build-)depend on ruby-multi-test
    + drop 0005-Integrate-multi_test-code.patch
  * Refresh 0004-Update_default_binary_path.patch
  * Move source of jquery to debian/missing-sources

 -- Cédric Boutillier <boutil@debian.org>  Wed, 14 May 2014 22:26:02 +0200

=== debian/control ===
Source: cucumber
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
           Cédric Boutillier <boutil@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               gem2deb (>= 0.3.0~),
               libjs-jquery,
               rake,
               ruby-builder,
               ruby-diff-lcs,
               ruby-gherkin (>= 2.12~),
               ruby-json,
               ruby-multi-json (>= 1.7.5~),
               ruby-multi-test,
               ruby-nokogiri,
               ruby-rspec
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/cucumber.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/cucumber.git;a=summary
Homepage: http://cukes.info/
XS-Ruby-Versions: all

Package: cucumber
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: libjs-jquery,
         ruby | ruby-interpreter,
         ruby-builder,
         ruby-diff-lcs,
         ruby-gherkin (>= 2.12~),
         ruby-multi-json (>= 1.7.5~),
         ruby-multi-test,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: rake, ruby-nokogiri
Description: acceptance testing framework
 Cucumber lets software development teams describe how software should behave
 in plain text. The text is written in a business-readable domain-specific
 language and serves as documentation, automated tests and development-aid -
 all rolled into one format.

## cucumber 1.3.17

=== debian/changelog ===
cucumber (1.3.17-1) unstable; urgency=medium

  * Imported Upstream version 1.3.17
  * Refresh 0004-Update_default_binary_path.patch
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Remove superfluous paragraph in debian/copyright about a removed patch

 -- Cédric Boutillier <boutil@debian.org>  Wed, 24 Sep 2014 10:07:14 +0200

cucumber (1.3.16-1) unstable; urgency=medium

  * Imported Upstream version 1.3.16

 -- Cédric Boutillier <boutil@debian.org>  Wed, 13 Aug 2014 22:40:00 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                ruby-multi-test,
                ruby-nokogiri,
                ruby-rspec
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/cucumber.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/cucumber.git;a=summary
 Homepage: http://cukes.info/

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,6 @@
 	rm -r debian/cucumber/usr/lib/ruby/vendor_ruby/autotest
 	mkdir -p debian/cucumber/usr/share/man/man1
 	pod2man -n cucumber -r "cucumber $(package_version)" -c cucumber debian/cucumber.pod > debian/cucumber/usr/share/man/man1/cucumber.1
+
+override_dh_installchangelogs:
+	dh_installchangelogs History.md

## cucumber 2.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cucumber
 Type: Package
 Title: Behavior-Driven Development for R
-Version: 1.2.1
+Version: 2.0.0
 Authors@R: person("Jakub", "Sobolewski", email = "jakupsob@gmail.com", role = c("aut", "cre"))
 Description: Write executable specifications in a natural language that describes how your code should behave.
     Write specifications in feature files using 'Gherkin' language and execute them using functions implemented in R.
@@ -21,8 +21,8 @@
 VignetteBuilder: quarto
 Config/Needs/website: rmarkdown
 NeedsCompilation: no
-Packaged: 2025-03-20 20:47:16 UTC; jakub
+Packaged: 2025-04-04 12:20:18 UTC; jakub
 Author: Jakub Sobolewski [aut, cre]
 Maintainer: Jakub Sobolewski <jakupsob@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-03-20 21:00:02 UTC
+Date/Publication: 2025-04-04 12:50:01 UTC

=== debian/changelog ===
cucumber (2.0.0-2) unstable; urgency=medium

  * Add 0005-clean_bin_cucumber.patch to prevent cucumber utility to try to
    load non-existing files. (Closes: #789585)

 -- Cédric Boutillier <boutil@debian.org>  Mon, 22 Jun 2015 14:15:05 +0200

cucumber (2.0.0-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/cucumber.pod: fix typo in manpage (Closes: #767215)

  [ Cédric Boutillier ]
  * Imported Upstream version 2.0.0
  * rename the file in debian/missing-source to remove -min suffix, and make
    lintian happy
  * reproducibility: use last changelog date to build the manpage
  * update 0004-Update_default_binary_path.patch
  * drop 0001-Remove-rubygems-bundler-stuff-from-spec_helper.patch, not needed
    anymore
  * build-depend on pry
  * depend on ruby-cucumber-core

 -- Cédric Boutillier <boutil@debian.org>  Sat, 20 Jun 2015 16:52:32 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,17 @@
 Build-Depends: debhelper (>= 7.0.50~),
                gem2deb (>= 0.3.0~),
                libjs-jquery,
+               pry,
                rake,
                ruby-builder,
+               ruby-cucumber-core,
                ruby-diff-lcs,
                ruby-gherkin (>= 2.12~),
                ruby-json,
                ruby-multi-json (>= 1.7.5~),
                ruby-multi-test,
                ruby-nokogiri,
-               ruby-rspec
+               ruby-rspec,
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/cucumber.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/cucumber.git;a=summary
@@ -28,6 +30,7 @@
 Depends: libjs-jquery,
          ruby | ruby-interpreter,
          ruby-builder,
+         ruby-cucumber-core,
          ruby-diff-lcs,
          ruby-gherkin (>= 2.12~),
          ruby-multi-json (>= 1.7.5~),

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 # If you need to specify the .gemspec (eg there is more than one)
 #export DH_RUBY_GEMSPEC=gem.gemspec
 
+last_change = $(shell dpkg-parsechangelog -S Date)
+build_epoch = $(shell date -u +"%s" --date="$(last_change)")
+
 %:
 	dh $@ --buildsystem=ruby --with ruby
 
@@ -20,7 +23,7 @@
 	dh_auto_install
 	rm -r debian/cucumber/usr/lib/ruby/vendor_ruby/autotest
 	mkdir -p debian/cucumber/usr/share/man/man1
-	pod2man -n cucumber -r "cucumber $(package_version)" -c cucumber debian/cucumber.pod > debian/cucumber/usr/share/man/man1/cucumber.1
+	pod2man -n cucumber -r "cucumber $(package_version)" -c cucumber --date $(build_epoch) debian/cucumber.pod > debian/cucumber/usr/share/man/man1/cucumber.1
 
 override_dh_installchangelogs:
 	dh_installchangelogs History.md

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/cucumber .*/cucumber-(.*).tar.gz

## cucumber 2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cucumber
 Type: Package
 Title: Behavior-Driven Development for R
-Version: 2.0.0
+Version: 2.0.1
 Authors@R: person("Jakub", "Sobolewski", email = "jakupsob@gmail.com", role = c("aut", "cre"))
 Description: Write executable specifications in a natural language that describes how your code should behave.
     Write specifications in feature files using 'Gherkin' language and execute them using functions implemented in R.
@@ -20,9 +20,9 @@
 RoxygenNote: 7.3.2
 VignetteBuilder: quarto
 Config/Needs/website: rmarkdown
-NeedsCompilation: no
-Packaged: 2025-04-04 12:20:18 UTC; jakub
+NeedsCompilation: yes
+Packaged: 2025-04-24 20:50:43 UTC; jakub
 Author: Jakub Sobolewski [aut, cre]
 Maintainer: Jakub Sobolewski <jakupsob@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-04-04 12:50:01 UTC
+Date/Publication: 2025-04-26 10:10:01 UTC

## cucumber 2.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cucumber
 Type: Package
 Title: Behavior-Driven Development for R
-Version: 2.0.1
+Version: 2.1.0
 Authors@R: person("Jakub", "Sobolewski", email = "jakupsob@gmail.com", role = c("aut", "cre"))
 Description: Write executable specifications in a natural language that describes how your code should behave.
     Write specifications in feature files using 'Gherkin' language and execute them using functions implemented in R.
@@ -15,14 +15,14 @@
 Imports: checkmate, cli, dplyr, fs, glue, purrr, rlang, stringr,
         testthat (>= 3.0.0), tibble, withr
 Suggests: mockery, box, shinytest2, chromote, covr, knitr, rmarkdown,
-        quarto, R6, pkgdown
+        quarto, R6, pkgdown, pkgload
 Config/testthat/edition: 3
 RoxygenNote: 7.3.2
 VignetteBuilder: quarto
 Config/Needs/website: rmarkdown
-NeedsCompilation: yes
-Packaged: 2025-04-24 20:50:43 UTC; jakub
+NeedsCompilation: no
+Packaged: 2025-05-20 15:21:12 UTC; jakub
 Author: Jakub Sobolewski [aut, cre]
 Maintainer: Jakub Sobolewski <jakupsob@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-04-26 10:10:01 UTC
+Date/Publication: 2025-05-20 15:50:06 UTC

## cucumber 2.1.1

=== DESCRIPTION ===
Package: cucumber
Type: Package
Title: Behavior-Driven Development for R
Version: 2.1.1
Authors@R: person("Jakub", "Sobolewski", email = "jakupsob@gmail.com", role = c("aut", "cre"))
Description: Write executable specifications in a natural language that describes how your code should behave.
    Write specifications in feature files using 'Gherkin' language and execute them using functions implemented in R.
    Use them as an extension to your 'testthat' tests to provide a high level description of how your code works.
License: MIT + file LICENSE
URL: https://github.com/jakubsob/cucumber,
        https://jakubsobolewski.com/cucumber/
BugReports: https://github.com/jakubsob/cucumber/issues
Encoding: UTF-8
Depends: R (>= 4.1.0)
Imports: checkmate, cli, dplyr, fs, glue, purrr, rlang, stringr,
        testthat (>= 3.0.0), tibble, withr
Suggests: mockery, box, shinytest2, chromote, covr, knitr, rmarkdown,
        quarto, R6, pkgdown, pkgload, muttest
Config/testthat/edition: 3
RoxygenNote: 7.3.2
VignetteBuilder: quarto
Config/Needs/website: rmarkdown
NeedsCompilation: no
Packaged: 2025-07-21 07:38:35 UTC; jakubsobolewski
Author: Jakub Sobolewski [aut, cre]
Maintainer: Jakub Sobolewski <jakupsob@gmail.com>
Repository: CRAN
Date/Publication: 2025-07-21 07:50:02 UTC

## cucumber 2.4.0

=== debian/changelog ===
cucumber (2.4.0-5) unstable; urgency=medium

  * Team upload.
  * d/p/0006-Fix-FTBFS-with-ruby-3.2.patch: replace File.exists? with
    File.exist?
  * d/control: depend on ${ruby:Depends} instead of the ruby interpreter
  * Declare compliance with Debian Policy 4.6.2

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 23 Feb 2024 01:07:00 -0300

cucumber (2.4.0-4) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Skip failing tests with diff-lcs 1.4.1 (Closes: #968628, #966946)
  * Drop compat file, rely on debhelper-compat and bump compat level to 13
  * Update team name
  * Add .gitattributes to keep unwanted files out of the source package
  * Install examples
  * Avoid deduplicated files in examples with jdupes
  * Set explicitly that d/rules doesn't require root

  [ Utkarsh Gupta ]
  * Use salsa.debian.org in Vcs-* fields
  * Move debian/watch to gemwatch.debian.net
  * Fix section, url, watch file and rules

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

 -- Cédric Boutillier <boutil@debian.org>  Thu, 17 Sep 2020 11:11:47 +0200

cucumber (2.4.0-3) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Remove myself from Uploaders

  [ Cédric Boutillier ]
  * Declare ruby autopkgtest Testsuite
  * Replace dpkg-parsechangelog by DEB_VERSION/SOURCE_DATE_EPOCH env variables
  * Add 0007_exclude_vendor_ruby_json.patch to exclude system cucumber files
    from backtrace and help autopkgtests pass
  * Bump Standards-Version to 4.1.1 (no changes needed)
  * Bump Debhelper compatibility level to 10

 -- Cédric Boutillier <boutil@debian.org>  Thu, 12 Oct 2017 22:07:21 +0200

cucumber (2.4.0-2) unstable; urgency=medium

  * Add 0006_fix_formatter_html_spec.patch from upstream to fix bug in specs
    with HTML formatters (Closes: #839910)

 -- Cédric Boutillier <boutil@debian.org>  Fri, 07 Oct 2016 23:40:14 +0200

cucumber (2.4.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Drop patch 0002-Remove-require-rubygems-statements, superseded upstream.
  * New dependency: ruby-cucumber-wire.
  * Bump ruby-gherkin dependency to >= 4.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Bump copyright years.
  * Bump ruby-cucumber-core dependency to >= 1.5.

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Run wrap-and-sort on packaging files

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Jul 2016 11:16:06 -0700

=== debian/control ===
Source: cucumber
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Boutillier <boutil@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               jdupes,
               libjs-jquery,
               pry,
               rake,
               ruby-builder,
               ruby-cucumber-core (>= 1.5),
               ruby-cucumber-wire,
               ruby-diff-lcs,
               ruby-gherkin (>= 4),
               ruby-json,
               ruby-multi-json (>= 1.7.5~),
               ruby-multi-test,
               ruby-nokogiri,
               ruby-rspec
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/ruby-team/cucumber.git
Vcs-Browser: https://salsa.debian.org/ruby-team/cucumber
Homepage: http://cukes.info/
XS-Ruby-Versions: all
Testsuite: autopkgtest-pkg-ruby
Rules-Requires-Root: no

Package: cucumber
Section: misc
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: libjs-jquery,
         ruby-builder,
         ruby-cucumber-core (>= 1.5),
         ruby-cucumber-wire,
         ruby-diff-lcs,
         ruby-gherkin (>= 4),
         ruby-multi-json (>= 1.7.5~),
         ruby-multi-test,
         ${ruby:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: rake, ruby-nokogiri
Description: acceptance testing framework
 Cucumber lets software development teams describe how software should behave
 in plain text. The text is written in a business-readable domain-specific
 language and serves as documentation, automated tests and development-aid -
 all rolled into one format.

=== debian/watch ===
version=4
https://gemwatch.debian.net/cucumber .*/cucumber-(.*).tar.gz
